Package org.codehaus.janino

# Enum JaninoOption

java.lang.Object
java.lang.Enum<JaninoOption>
org.codehaus.janino.JaninoOption

All Implemented Interfaces:
  `Serializable`, `Comparable<JaninoOption>`, `java.lang.constant.Constable`

public enum JaninoOption extends Enum<JaninoOption>
The compilation of `Compiler`, `JavaSourceIClassLoader`, `SimpleCompiler` and their subclasses can be configured with these options.

See Also:
  - `Compiler.options()`
  - `JavaSourceIClassLoader.options()`
  - `SimpleCompiler.options()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXPRESSIONS_IN_TRY_WITH_RESOURCES_ALLOWED`
Contrary to the JLS, allow any expression as a resource in a TRY-with-resources statement.
`PRIVATE_MEMBERS_OF_ENCLOSING_AND_ENCLOSED_TYPES_INACCESSIBLE`
Contrary to the JLS, disallow access to `private` members of types enclosed by the the accessing code, or enclosed by the accessing code, or enclosed by the same top-level type as the accessing code.

## Method Summary

Modifier and Type
Method
Description
`static JaninoOption`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JaninoOption[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PRIVATE_MEMBERS_OF_ENCLOSING_AND_ENCLOSED_TYPES_INACCESSIBLE

public static final JaninoOption PRIVATE_MEMBERS_OF_ENCLOSING_AND_ENCLOSED_TYPES_INACCESSIBLE
Contrary to the JLS, disallow access to `private` members of types enclosed by the the accessing code, or enclosed by the accessing code, or enclosed by the same top-level type as the accessing code.

### EXPRESSIONS_IN_TRY_WITH_RESOURCES_ALLOWED

public static final JaninoOption EXPRESSIONS_IN_TRY_WITH_RESOURCES_ALLOWED
Contrary to the JLS, allow any expression as a resource in a TRY-with-resources statement.

## Method Details

### values

public static JaninoOption[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static JaninoOption valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null